<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <!--    Proxy Setting    -->
    <!--
    <add key="proxyUrl" value="127.0.0.1"/>
    <add key="proxyPort" value="8888"/>
    <add key="proxyUsername" value="1" />
    <add key="proxyPassword" value="1" />
    -->
    <!--    DB Setting    -->
    <add key="connectionString" value="default"/>
    <!--    LOG Setting   -->
    <add key="detailniLogovani" value="True"/>
    <add key="sourceName" value="KS-Program: Aplikační server (AS)"/>
    <add key="logName" value="Application"/>
    <add key="dispatcherName" value="ASServer"/>
    <!--    APP Setting   -->
    <add key="timeToDisconnect" value="3600"/>
    <add key="OraDateFormat" value="true"/>
    <!--<add key="LogEnabled" value="true" />-->
    <!--<add key="LogPath" value="C:\KSProgram\KS-AS\Logs" />-->
    <!--<add key="LogFileMaxSizeMB" value="5" />-->
    <!--<add key="LogDailyFoldersEnabled" value="true" />-->
    <!--<add key="KSmzdyAppPath" value="C:\KSProgram\MaP"/>-->
  </appSettings>
  <connectionStrings>
    <clear/>
    <add name="default" connectionString="" providerName=""/>
  </connectionStrings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider"
          type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
          serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider"
          type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
          serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
  <!-- When deploying the service library project, the content of the config file must be added to the host's 
  app.config file. System.Configuration does not support config files for libraries. -->
  <system.serviceModel>
    <services>
      <service name="KSProgram.AS.WCF.WCFService" behaviorConfiguration="CSBehavior">
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/ASServiceModel/service"/>
          </baseAddresses>
        </host>
        <!-- this endpoint is exposed at the base address provided by host: http://localhost:9000/ASServiceModel/service  -->
        <endpoint address="" binding="wsHttpBinding" contract="KSProgram.AS.WCF.IWCFService"/>
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="CSBehavior">
          <serviceMetadata httpGetEnabled="true"/>
          <serviceDebug includeExceptionDetailInFaults="False"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Telerik.Windows.Zip" publicKeyToken="5803cfa389c90ce7" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-2024.3.806.462" newVersion="2024.3.806.462"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.4.0" newVersion="4.0.4.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Confluent.Kafka" publicKeyToken="12c514ca49093d1e" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-2.1.1.0" newVersion="2.1.1.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  
  <!--Parametry k připojení přes proxy-->
  <!--<system.net>
    <defaultProxy>
      <proxy
        proxyaddress="http://[your proxy address and port number]"
        bypassonlocal="false" />
    </defaultProxy>
  </system.net>-->
  
</configuration>